> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List transactions



## OpenAPI

````yaml /openapi.json get /wallets/transactions
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /wallets/transactions:
    get:
      tags:
        - wallets
      summary: List transactions
      operationId: Wallets.Web.Controller.list_transactions
      parameters:
        - description: Before Cursor
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: After Cursor
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: customer_id
          required: false
          schema:
            description: Customer ID
            type: string
        - description: ''
          in: query
          name: wallet_id
          required: false
          schema:
            description: Wallet ID
            type: string
        - description: ''
          in: query
          name: currency
          required: false
          schema:
            $ref: 30598bfb-37e5-4d55-ac9a-af61fef06604
        - description: Transaction type
          in: query
          name: type
          required: false
          schema:
            enum:
              - credit
              - debit
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionsResponse'
          description: Transaction List
      callbacks: {}
components:
  schemas:
    TransactionsResponse:
      description: Response schema for transaction list
      properties:
        data:
          description: Transaction list
          items:
            $ref: '#/components/schemas/Transaction'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: TransactionsResponse
      type: object
    Transaction:
      description: Transaction details
      example:
        account_id: c2f9e33c-7f28-402b-974f-493546f11f2b
        amount:
          amount: 1000
          currency: USD
        correlation_id: 9f7d3278-71f4-44b0-968d-99ef6c0e983d
        created_at: '2025-08-08T11:17:34Z'
        customer_id: 0997de13-834c-4cc5-88ca-ca321730c938
        description: Id consequatur distinctio et!
        destination: null
        error: null
        fee:
          amount: 0
          currency: USD
        id: 48160506-2dbb-4f7d-ab2f-09af335aca1d
        metadata: {}
        reference: null
        source: null
        type: credit
        updated_at: '2025-08-08T11:17:34Z'
        wallet_id: c4f43392-1438-4ab4-8d85-5327f34ca238
      properties:
        account_id:
          description: Account Id
          type: string
        amount: c4169143-5d6a-4f75-b74b-488dcad4af47
        correlation_id:
          description: Correlation Id
          type: string
        customer_id:
          description: Customer Id
          type: string
        description:
          description: Transaction description
          type: string
        destination: b3837115-24d2-4e8d-8f95-5a7b2bc102d3
        error:
          description: Transaction error message
          nullable: true
          type: string
        fee: e4445460-22b4-408f-8b2a-54ecc9ea7bb0
        id:
          description: Id
          type: string
        reference:
          description: Transaction reference
          nullable: true
          type: string
        source: fe6788e2-0373-4f3d-ac39-d5060829ed52
        type:
          enum:
            - credit
            - debit
          type: string
        wallet_id:
          description: Wallet Id
          type: string
      title: Transaction
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object

````